package org.springblade.device.feign;

import org.springblade.device.entity.ElectricMeterRecord;
import org.springblade.device.vo.ElectricMeterRecordVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ElectricMeterRecordClientFallback implements IElectricMeterRecordClient {
            /**
         * 详情
         */
        @Override
        public ElectricMeterRecordVO detail(ElectricMeterRecord electricMeterRecord) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<ElectricMeterRecordVO> list(ElectricMeterRecord electricMeterRecord) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( ElectricMeterRecord electricMeterRecord) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( ElectricMeterRecord electricMeterRecord) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( ElectricMeterRecord electricMeterRecord) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
